package nemosofts.hd.wallpaper.item;

import android.net.Uri;

public class ItemWallpaper {

	private String id, CId, CName, image, totalViews, totalRate, averageRate, totalDownloads, resolution="", size="", userRating = "0",userMessage="" , total_set="0", total_share="0" , image_type="" , image_name="";
	private boolean isFav = false;
	private boolean isPremium = false;
	private String name;
	private Uri uri;

	private int vibrantColor = 0;

	public ItemWallpaper(String id, String cId, String cName, String image, String totalViews, String totalRate, String averageRate, boolean isPremium, String totalDownloads, boolean isFav, String image_type, String image_name) {
		this.id = id;
		this.CId = cId;
		this.CName = cName;
		this.image = image;
		this.totalViews = totalViews;
		this.totalRate = totalRate;
		this.averageRate = averageRate;
		this.isPremium = isPremium;
		this.totalDownloads = totalDownloads;
		this.isFav = isFav;
		this.image_type = image_type;
		this.image_name = image_name;
	}

	public ItemWallpaper(String name, Uri uri) {
		this.name = name;
		this.uri = uri;
	}

	public String getId() {
		return id;
	}

	public String getCId() {
		return CId;
	}

	public String getCName() {
		return CName;
	}

	public String getImage() {
		return image;
	}

	public String getTotalViews() {
		return totalViews;
	}

	public String getTotalRate() {
		return totalRate;
	}

	public String getAverageRate() {
		return averageRate;
	}

	public void setTotalViews(String totalViews) {
		this.totalViews = totalViews;
	}

	public void setTotalRate(String totalRate) {
		this.totalRate = totalRate;
	}

	public void setAverageRate(String averageRate) {
		this.averageRate = averageRate;
	}

	public boolean isPremium() {
		return isPremium;
	}

	public String getTotalDownloads() {
		return totalDownloads;
	}

	public void setTotalDownloads(String totalDownloads) {
		this.totalDownloads = totalDownloads;
	}


	public String getResolution() {
		return resolution;
	}

	public void setResolution(String resolution) {
		this.resolution = resolution;
	}

	public String getSize() {
		return size;
	}

	public void setSize(String size) {
		this.size = size;
	}

	public String getUserRating() {
		return userRating;
	}

	public void setUserRating(String userRating) {
		this.userRating = userRating;
	}

	public String getUserMessage() {
		return userMessage;
	}
	public void setUserMessage(String userMessage) {
		this.userMessage = userMessage;
	}

	public String getTotalSet() {
		return total_set;
	}

	public void setTotalSet(String total_set) {
		this.total_set = total_set;
	}

	public String getTotalShare() {
		return total_share;
	}

	public String getType() {
		return image_type;
	}

	public String getImageName() {
		return image_name;
	}

	public void setTotalShare(String total_share) {
		this.total_share = total_share;
	}

	public boolean getIsFav() {
		return isFav;
	}

	public void setIsFav(boolean fav) {
		isFav = fav;
	}


	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public Uri getUri() {
		return uri;
	}
	public void setUri(Uri uri) {
		this.uri = uri;
	}

	public int getVibrantColor() {
		return vibrantColor;
	}
	public void setVibrantColor(int vibrantColor) {
		this.vibrantColor = vibrantColor;
	}
}
